using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Valg.EVA.Skanning.Scan.ReadSoftEmulation.ScannerAccess;

namespace Valg.EVA.Skanning.Scan.Startup.SelectScannerModel
{
    static class ScannerModels
    {
        public static IEnumerable<string> Supported => new[]
        {
            "Canon DR-9050C",
            "Canon DR-G1100",
            "Canon DR-G1130",
            "Canon DR-G2090",
            "Canon DR-G2110",
            "Canon DR-G2140",
            "PaperStream_IP fi-5950",
            "PaperStream_IP fi-6400"
        };

        public static IEnumerable<string> Installed
        {
            get
            {
                try
                {
                    return new RpcClient().GetInstalledScanners();
                }
                catch
                {
                    return new List<string>();
                }
            }
        }

        public static IEnumerable<string> Connected
        {
            get
            {
                try
                {
                    return new RpcClient().GetConnectedScanners();
                }
                catch
                {
                    return new List<string>();
                }
            }
        }
    }
    }

